Description

Requests controlled by QgsNetworkAccessManager are aborted every 20 seconds (by default) by its timeout timer. As a result, an

"Operation aborted" error is raised, what may be confusing and doesn't help to figure out the timeout period needs to be increased.

History

#1 - 2013-06-25 07:31 AM - Jürgen Fischer

Is that a verbatim message or translated back from Polish?

#2 - 2013-06-25 07:41 AM - Borys Jurgiel

The latter. I mean QNetworkReply::OperationCanceledError.

#3 - 2013-10-17 12:33 PM - Matthias Kuhn

The problem is, that a timeout simply calls QNetworkReply::abort(). There is no possibility to set the reason for the abort this way, because 

QNetworkReply::setError is protected. Subclassing QNetworkReply seems not to be very easy, because at the same time the code from 

QNetworkAccessManager::createRequest would have to be copied and maintained in QgsNetworkAccessManager.

As a simple workaround, we could set a custom property on the QNetworkReply (reply->setProperty( "QgsAbortReason", "Timeout" ); or similar). Does not

seem to be the most beautiful, but at least a pragmatic solution.

#4 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#5 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
